<?php

namespace EventPortal\Domain\Component;

class Scope
{
    /** @var string */
    public $scope;

    /** @var array */
    public $fields = [];

    public function __construct(string $scope)
    {
        $this->scope = $scope;
    }

    public static function make(string $scope): self
    {
        return new static($scope);
    }

    public function fields(array $fields): array
    {
        foreach ($fields as $field) {
            $field->scope = $this->scope;
        }

        return $fields;
    }
}
