<?php

namespace EventPortal\Domain\Util\Modal;

class FormModal extends Modal
{
    public int $numberOfColumns = 1;

    public static function make(): self
    {
        return new self('form');
    }

    public function numberOfColumns(int $numberOfColumns): self
    {
        $this->numberOfColumns = $numberOfColumns;

        return $this;
    }

    public function get(): array
    {
        $this->resolve();

        return [
            'type' => $this->type,
            'formData' => $this->content->context($this->context)->render(),
            'clientButtons' => $this->actions ?: [],
            'numberOfColumns' => $this->numberOfColumns,
        ];
    }
}
