<?php

namespace EventPortal\Tests\Unit\Concerns;

use EventPortal\Concerns\EventRequiresReApproval;
use EventPortal\Domain\Approval\Models\Approval;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

/**
 * Class RequiresReApprovalTest
 * @package EventPortal\Tests\Unit\Concerns
 * @group RequiresReApproval
 */
class EventRequiresReApprovalTest extends TestCase
{
    use RefreshDatabase;
    use EventRequiresReApproval;

    /** @test  */
    public function returns_false_when_no_approval_present_on_test(): void
    {
        $event = factory(Event::class)->create();

        $result = $this->doesEventRequireReApproval($event);

        $this->assertFalse($result);
    }

    /** @test */
    public function returns_true_when_approval_is_present_on_event(): void
    {
        $approval = factory(Approval::class)->create();

        $result = $this->doesEventRequireReApproval($approval->event);

        $this->assertTrue($result);
    }
}
